package com.navinfo.outdoor.bean;

/**
 * 普通任务的领取
 */
public class TaskByNetBean {
    /**
     * code : 200
     * message : 成功
     * body : {"name":"门头沟区道路录像21","address":"","geo":"LINESTRING(115.990024 39.969285,115.991332 39.970245,115.990608 39.970906,115.993168 39.972121,115.993446 39.973038,115.99403 39.973528,115.993863 39.972142,115.995644 39.971993,115.996451 39.972078,115.998482 39.971439,115.999094 39.970607,115.9994 39.970799)","price":4.860135,"type":4,"isExclusive":0}
     */

    private int code;
    private String message;
    private BodyBean body;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public BodyBean getBody() {
        return body;
    }

    public void setBody(BodyBean body) {
        this.body = body;
    }

    public static class BodyBean {
        /**
         * name : 门头沟区道路录像21
         * address :
         * geo : LINESTRING(115.990024 39.969285,115.991332 39.970245,115.990608 39.970906,115.993168 39.972121,115.993446 39.973038,115.99403 39.973528,115.993863 39.972142,115.995644 39.971993,115.996451 39.972078,115.998482 39.971439,115.999094 39.970607,115.9994 39.970799)
         * price : 4.860135
         * type : 4
         * isExclusive : 0
         * memo
         * endDate
         */

        private String name;
        private String address;
        private String geo;
        private double price;
        private int type;
        private int isExclusive;
        private String memo;
        private String endDate;

        public String getMemo() {
            return memo;
        }

        public void setMemo(String memo) {
            this.memo = memo;
        }

        public String getEndDate() {
            return endDate;
        }

        public void setEndDate(String endDate) {
            this.endDate = endDate;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getGeo() {
            return geo;
        }

        public void setGeo(String geo) {
            this.geo = geo;
        }

        public double getPrice() {
            return price;
        }

        public void setPrice(double price) {
            this.price = price;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public int getIsExclusive() {
            return isExclusive;
        }

        public void setIsExclusive(int isExclusive) {
            this.isExclusive = isExclusive;
        }
    }
}
